ul.release-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1.25rem;
    margin-inline: auto;
    padding: 0;
    margin: 0;

    li {
        list-style: none;
    }
}

.release-list {
    li.release {
        background-color: var(--secondary-container);
        color: var(--primary);
        border-radius: 1rem;
        width: 20rem;
        display: flex;
        flex-direction: column;
        overflow: hidden;

        > div {
            padding: 0.5rem 2rem;
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 0.5rem;

            b {
                background-color: var(--surface-container-lowest);
                color: var(--on-surface-variant);
                max-width: 100%;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                padding: 0 0.5rem;
                border-radius: 0.25rem;
            }
        }

        img {
            margin-top: auto;
        }
    }
}

.vinyle-list {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.25rem;
}

.container {
    --side: 16em;
    --ratio: 0.01;
    perspective: 500px;

    .vinyle {
        margin-top: calc((var(--side) - var(--side) * var(--ratio)) / -2);
        margin-bottom: calc((var(--side) - var(--side) * var(--ratio)) / -2);

        position: relative;
        width: var(--side);
        height: var(--side);
        transform-style: preserve-3d;
        transform-origin: center;
        transform: rotateX(85deg) scale(0.7);
        transition: 0.3s ease-out all;

        .side {
            position: absolute;
            width: var(--side);
            height: var(--side);
        }

        .top {
            transform: translateZ(calc(var(--side) * var(--ratio) / 2));

            img {
                width: 100%;
                height: 100%;
                user-select: none;
                -webkit-user-drag: none;
            }
        }

        .front {
            background: linear-gradient(0deg, #000000 0%, #111111 40%, #111111 60%, #000000 100%);
            height: calc(var(--side) * var(--ratio));
            top: calc(var(--side) / 2 - (var(--side) * var(--ratio) / 2));
            transform: rotateX(-90deg) translateZ(calc(var(--side) / 2));
        }
    }

    .vinyle.active {
        transform: rotate(0deg) scale(1);
        margin-top: 1em;
        margin-bottom: 1em;
    }
}

footer {
    background-color: var(--surface-container-low);
    color: var(--on-surface);

    width: 100%;
    padding: 0.75rem;

    > div {
        max-width: 100rem;
        margin-inline: auto;
        padding: 0.75rem;

        display: flex;
        justify-content: center;
        gap: 1.5rem;

        a:hover {
            color: var(--primary);
        }
    }
}

header {
    background-color: var(--surface-container-low);

    a:hover {
        color: var(--primary);
    }

    a.title {
        font-size: 1.5rem;
    }

    a.active {
        text-decoration: underline;
        color: var(--primary);
    }
}

nav.desktop {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.25rem;
    padding: 0.75rem;
}

@media (width <= 64rem) {
    nav.desktop {
        display: none;
    }
}

@media (prefers-color-scheme: light) {
    :root {
        --burger-menu-icon: url("/images/hamburger-menu-light.svg");
    }
}
@media (prefers-color-scheme: dark) {
    :root {
        --burger-menu-icon: url("/images/hamburger-menu-dark.svg");
    }
}

.nav-mobile {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.75rem;

    .hidden {
        display: none;
    }

    button {
        background: none;
        border: none;
        width: 2.5rem;
        height: 2.5rem;
        cursor: pointer;
        background-image: var(--burger-menu-icon);
    }

    #nav_pannel {
        z-index: 10000;
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.33);

        nav {
            background-color: var(--surface-container-low);
            width: 17.5rem;
            height: 100%;
            padding: 0.75rem;
            display: flex;
            flex-direction: column;
            gap: 0.5rem;
            font-size: 1.25rem;

            > div {
                display: flex;
                align-items: center;
                gap: 0.5rem;
            }
        }
    }
}

@media (width > 64rem) {
    .nav-mobile {
        display: none;
    }
}

@media (prefers-color-scheme: light) {
    :root {
        --primary: rgb(76, 102, 43);
        --surface-tint: rgb(76 102 43);
        --on-primary: rgb(255 255 255);
        --primary-container: rgb(205 237 163);
        --on-primary-container: rgb(53 78 22);
        --secondary: rgb(88 98 73);
        --on-secondary: rgb(255 255 255);
        --secondary-container: rgb(220 231 200);
        --on-secondary-container: rgb(64 74 51);
        --tertiary: rgb(56 102 99);
        --on-tertiary: rgb(255 255 255);
        --tertiary-container: rgb(188 236 231);
        --on-tertiary-container: rgb(31 78 75);
        --error: rgb(186 26 26);
        --on-error: rgb(255 255 255);
        --error-container: rgb(255 218 214);
        --on-error-container: rgb(147 0 10);
        --background: rgb(249 250 239);
        --on-background: rgb(26 28 22);
        --surface: rgb(249 250 239);
        --on-surface: rgb(26 28 22);
        --surface-variant: rgb(225 228 213);
        --on-surface-variant: rgb(68 72 61);
        --outline: rgb(117 121 108);
        --outline-variant: rgb(197 200 186);
        --shadow: rgb(0 0 0);
        --scrim: rgb(0 0 0);
        --inverse-surface: rgb(47 49 42);
        --inverse-on-surface: rgb(241 242 230);
        --inverse-primary: rgb(177 209 138);
        --primary-fixed: rgb(205 237 163);
        --on-primary-fixed: rgb(16 32 0);
        --primary-fixed-dim: rgb(177 209 138);
        --on-primary-fixed-variant: rgb(53 78 22);
        --secondary-fixed: rgb(220 231 200);
        --on-secondary-fixed: rgb(21 30 11);
        --secondary-fixed-dim: rgb(191 203 173);
        --on-secondary-fixed-variant: rgb(64 74 51);
        --tertiary-fixed: rgb(188 236 231);
        --on-tertiary-fixed: rgb(0 32 30);
        --tertiary-fixed-dim: rgb(160 208 203);
        --on-tertiary-fixed-variant: rgb(31 78 75);
        --surface-dim: rgb(218 219 208);
        --surface-bright: rgb(249 250 239);
        --surface-container-lowest: rgb(255 255 255);
        --surface-container-low: rgb(243 244 233);
        --surface-container: rgb(238 239 227);
        --surface-container-high: rgb(232 233 222);
        --surface-container-highest: rgb(226 227 216);
    }
}

@media (prefers-color-scheme: dark) {
    :root {
        --primary: rgb(177 209 138);
        --surface-tint: rgb(177 209 138);
        --on-primary: rgb(31 55 1);
        --primary-container: rgb(53 78 22);
        --on-primary-container: rgb(205 237 163);
        --secondary: rgb(191 203 173);
        --on-secondary: rgb(42 51 30);
        --secondary-container: rgb(64 74 51);
        --on-secondary-container: rgb(220 231 200);
        --tertiary: rgb(160 208 203);
        --on-tertiary: rgb(0 55 53);
        --tertiary-container: rgb(31 78 75);
        --on-tertiary-container: rgb(188 236 231);
        --error: rgb(255 180 171);
        --on-error: rgb(105 0 5);
        --error-container: rgb(147 0 10);
        --on-error-container: rgb(255 218 214);
        --background: rgb(18 20 14);
        --on-background: rgb(226 227 216);
        --surface: rgb(18 20 14);
        --on-surface: rgb(226 227 216);
        --surface-variant: rgb(68 72 61);
        --on-surface-variant: rgb(197 200 186);
        --outline: rgb(143 146 133);
        --outline-variant: rgb(68 72 61);
        --shadow: rgb(0 0 0);
        --scrim: rgb(0 0 0);
        --inverse-surface: rgb(226 227 216);
        --inverse-on-surface: rgb(47 49 42);
        --inverse-primary: rgb(76 102 43);
        --primary-fixed: rgb(205 237 163);
        --on-primary-fixed: rgb(16 32 0);
        --primary-fixed-dim: rgb(177 209 138);
        --on-primary-fixed-variant: rgb(53 78 22);
        --secondary-fixed: rgb(220 231 200);
        --on-secondary-fixed: rgb(21 30 11);
        --secondary-fixed-dim: rgb(191 203 173);
        --on-secondary-fixed-variant: rgb(64 74 51);
        --tertiary-fixed: rgb(188 236 231);
        --on-tertiary-fixed: rgb(0 32 30);
        --tertiary-fixed-dim: rgb(160 208 203);
        --on-tertiary-fixed-variant: rgb(31 78 75);
        --surface-dim: rgb(18 20 14);
        --surface-bright: rgb(56 58 50);
        --surface-container-lowest: rgb(12 15 9);
        --surface-container-low: rgb(26 28 22);
        --surface-container: rgb(30 32 26);
        --surface-container-high: rgb(40 43 36);
        --surface-container-highest: rgb(51 54 46);
    }
}

::-webkit-scrollbar {
    width: 0.5em;
    border-radius: 0.5em;
}

::-webkit-scrollbar-thumb {
    background: var(--surface-container-high);
    border-radius: 0.5em;
}

html,
body {
    height: 100%;
    padding: 0;
    margin: 0;
}

body {
    font-family: "Courier Prime", monospace;
    background-color: var(--background);
    color: var(--on-background);
    font-size: 1.125rem;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
    overflow-y: scroll;
    margin-inline: auto;
    max-width: 100rem;
    padding: 0.75rem;
    width: 100%;
}

section {
    display: flex;
    flex-direction: column;
}

h1 {
    font-size: 2rem;
    line-height: 1.111;
    color: var(--primary);
    padding: 1rem 0;
    margin: 0;
}

p {
    margin: 0;
    padding: 0.5rem 0;
}

a {
    color: unset;
    text-decoration: none;
}

a:visited {
    color: unset;
}

* {
    box-sizing: border-box;
}

.home-page {
    max-width: 60rem;
    margin-inline: auto;

    h1 {
        padding-inline: 1rem;
    }

    .content {
        display: flex;
        flex-wrap: wrap;
        gap: 0.75rem;

        .text {
            flex: 1;
            border-radius: 1rem;
            padding-inline: 0.5rem;
        }

        .latest-acquisitions {
            background-color: var(--secondary-container);
            color: var(--on-secondary-container);
            padding: 1rem;
            border-radius: 0.5rem;
            text-align: center;

            .vinyle-list {
                margin: 0.5rem 0;
            }
        }
    }
}

